Summary:	ACPI Event Daemon
Name:		acpid
Version:	1.0.2
Release:	1.5.1
License:	GPL
Group:		System Environment/Base
Source0:	http://aleron.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:		acpid-1.0.2-engardeize-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
acpid is a daemon that dispatches ACPI events to user-space programs.

%files
  %defattr(-,root,root)
  %doc %{_mandir}/man8/acpid.8*

  %dir %{_sysconfdir}/acpi
  %dir %{_sysconfdir}/acpi/events
  %dir %{_sysconfdir}/acpi/actions

  %attr(0700,root,root)		%{_sysconfdir}/acpi/powerbtn.sh
  %attr(0700,root,root)		%{_sysconfdir}/acpi/events/powerbtn
  %attr(0640,root,admin)	%{_sysconfdir}/acpi/events/sample.conf

  %attr(0700,root,root)		%{_sysconfdir}/init.d/acpid
  %attr(0500,root,root)		%{_sbindir}/acpid
  
%prep
%setup -q
%patch0 -p1

%build
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/acpi/events
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/acpi/actions
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d

  make install INSTPREFIX=$RPM_BUILD_ROOT
  install samples/sample.conf $RPM_BUILD_ROOT/%{_sysconfdir}/acpi/events
  install engarde/powerbtn    $RPM_BUILD_ROOT/%{_sysconfdir}/acpi/events
  install engarde/powerbtn.sh $RPM_BUILD_ROOT/%{_sysconfdir}/acpi
  install engarde/acpid.init  $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/acpid

%preun
  if [ "$1" = "0" ]; then
    /sbin/chkconfig acpid off
    /sbin/chkconfig --del acpid
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Feb 24 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.2, Release 1.5.1
  - Initial build for EnGarde.

